Package org.apache.sysds.runtime.compress.utils

## Interface Util

    public interface Util

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`

### Method Summary

Static Methods
`static int[]` `combine​(int[] lhs, int[] rhs)`
`static MatrixBlock` `extractValues​(double[] v, int[] colIndexes)`
`static int[]` `genColsIndices​(int numCols)`
`static int[]` `genColsIndicesOffset​(int numCols, int start)`
`static int` `getPow2​(int x)`
`static MatrixBlock` `matrixBlockFromDenseArray​(double[] values, int nCol)`

### Field Detail

#### LOG

    static final org.apache.commons.logging.Log LOG

### Method Detail

#### combine

    static int[] combine​(int[] lhs,
                         int[] rhs)

#### getPow2

    static int getPow2​(int x)

#### genColsIndices

    static int[] genColsIndices​(int numCols)

#### genColsIndicesOffset

    static int[] genColsIndicesOffset​(int numCols,
                                      int start)

#### matrixBlockFromDenseArray

    static MatrixBlock matrixBlockFromDenseArray​(double[] values,
                                                 int nCol)

#### extractValues

    static MatrixBlock extractValues​(double[] v,
                                     int[] colIndexes)